<?php
//insert.php
session_start();
ob_start();

  $father = $_SESSION["user_id"];

if($_POST['pass'] !=""){
    $pass   = $_POST['pass'];
    $new_pass      = $_POST['new_pass'];
    $new_pass2    = $_POST['new_pass2'];

$data = array();
// $error = array();
include "dbPDO.php";

$Number ="/^[0-9]+$/";

if(empty($pass))
    {
      $error["pass"] = "من فضلك سجل كلمة السر الحالية ...";
    }
    $pass = htmlspecialchars(strip_tags($pass)) ;

if(empty($new_pass))
          {
            $error["new_pass"] = "من فضلك سجل كلمة السر الجديدة لا تقل عن 8 حروف و أرقام.";
          }
      $new_pass = htmlspecialchars(strip_tags($new_pass)) ;
        if(empty($new_pass2))
            {
              $error["new_pass2"] = "من فضلك سجل كلمة السرة مرة أخري للتأكيد .....";
            }
            $new_pass2 = htmlspecialchars(strip_tags($new_pass2)) ;

if($new_pass != $new_pass2){ $error["new_pass"] = $error["new_pass"]. "تأكيد كلمة السر لا يساوي كلمة السر الجديدة إنتبه من فضلك " ;}
if(!empty($error)){
  $data["error"] = $error ;
}else {

  $sql =$db->prepare("SELECT pass  FROM users WHERE user_id = ? LIMIT 1");
  $sql->bindParam(1,$father);
  $sql->execute();
  if($sql->rowCount()>0){$row = $sql->fetch(PDO::FETCH_ASSOC);
        $dbpass    = $row["pass"];
      }
    if(password_verify($pass, $dbpass))
    {
      $new_pass = password_hash($new_pass,PASSWORD_DEFAULT);
  $RSQL=$db->prepare("UPDATE users SET pass = ? where user_id = ? ");
   $RSQL->bindParam(1,$new_pass);
   $RSQL->bindParam(2,$father);
   if($RSQL->execute()){
  $data["reset"]= "<div class='alert alert-success'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>تم تغير كلمة السر بنجاح ...</b>
      </div>" ;
  }
    else  { $data["reset"] = "<div class='alert alert-danger'>
            <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
            <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
            </div> " ; }

}else{ $data["reset"] = "<div class='alert alert-danger'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
        </div> " ; }
echo json_encode($data);
}
}

?>
